sh_calltime.d(1m)

NAME
sh_calltime.d - measure Bourne shell elapsed times for types of operation.

SYNOPSIS
sh_calltime.d

DESCRIPTION
This traces shell activity from all Bourne shells on the system that are running with sh provider support. Filename and call names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Shell provider, which may change as additional features are introduced. Check Shell/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # sh_calltime.d

FIELDS

FILE
    Filename of the shell or shellscript

TYPE
    Type of call (func/builtin/cmd/total)

NAME
    Name of call

TOTAL
    Total elapsed time for calls (us)

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
sh_calltime.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)